Links
GET https://microweb.me/api/links/
curl --request GET \
--url 'https://microweb.me/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://microweb.me/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional String | The search string. |
| search_by | Opcional String | What field are you searching by. Allowed values are: url, location_url. |
| is_enabled | Opcional Boolean | |
| project_id | Opcional Integer | |
| domain_id | Opcional Integer | |
| type | Opcional String |
biolink, link, vcard, event, static |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional String | Filtra los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional String | What field to order the results by. Allowed values are: link_id, datetime, last_datetime, clicks, url. |
| order_type | Opcional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Opcional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Opcional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-08-10 14:26:44",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://microweb.me/api/links?page=1",
"last": "https://microweb.me/api/links?page=1",
"next": null,
"prev": null,
"self": "https://microweb.me/api/links?page=1"
}
}
GET https://microweb.me/api/links/{link_id}
curl --request GET \
--url 'https://microweb.me/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://microweb.me/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-08-10 14:26:44",
}
}
POST https://microweb.me/api/links
| Parámetros | Detalles | Descripción |
|---|---|---|
| type | Opcional String | link |
| location_url | Requerido String | The URL of the destination.Available when: is_bulk = 0 |
| location_urls | Requerido String | The URL of the destination.Available when: is_bulk = 1 |
| url | Opcional String | The URL alias of the generated link. Leave empty for a randomly generated one.Available when: is_bulk = 0 |
| is_bulk | Opcional Boolean | |
| domain_id | Opcional Integer | - |
| project_id | Opcional Integer | - |
| pixels_ids | Opcional Array Integer | - |
| email_reports | Opcional Array | Notification handler ids |
| schedule | Opcional Boolean | - |
| start_date | Opcional String | Available when: schedule = true |
| end_date | Opcional String | Available when: schedule = true |
| clicks_limit | Opcional Integer | - |
| expiration_url | Opcional String | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Integer | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional String | - |
| cloaking_meta_description | Opcional String | - |
| cloaking_custom_js | Opcional String | - |
| cloaking_favicon | Opcional File | - |
| cloaking_opengraph | Opcional File | - |
| password | Opcional String | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| targeting_type | Opcional String | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional String | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional String | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional String | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional String | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional String | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional String | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional String | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional String | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional String | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional String | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional String | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional String | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional String | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional String | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional String | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional String | Available when: targeting_type = browser_name |
curl --request POST \
--url 'https://microweb.me/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://microweb.me/' \
--url 'https://microweb.me/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://microweb.me/' \
{
"data": {
"id": 1
}
}
POST https://microweb.me/api/links/{link_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| location_url | Opcional String | The URL of the destination. |
| url | Opcional String | The URL alias of the generated link. Leave empty for a randomly generated one. |
| domain_id | Opcional Integer | - |
| project_id | Opcional Integer | - |
| pixels_ids | Opcional Array Integer | - |
| email_reports | Opcional Array | Notification handler ids |
| schedule | Opcional Boolean | - |
| start_date | Opcional String | Available when: schedule = true |
| end_date | Opcional String | Available when: schedule = true |
| clicks_limit | Opcional Integer | - |
| expiration_url | Opcional String | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Integer | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional String | - |
| cloaking_meta_description | Opcional String | - |
| cloaking_custom_js | Opcional String | - |
| cloaking_favicon | Opcional File | - |
| cloaking_opengraph | Opcional File | - |
| password | Opcional String | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| targeting_type | Opcional String | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional String | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional String | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional String | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional String | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional String | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional String | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional String | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional String | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional String | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional String | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional String | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional String | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional String | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional String | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional String | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional String | Available when: targeting_type = browser_name |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://microweb.me/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://microweb.me/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://microweb.me/api/links/{link_id}
curl --request DELETE \
--url 'https://microweb.me/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://microweb.me/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \